<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="cn.exlive.mygpsonline.bean.UserMarkerArea" table="UserMarker_Area" schema="dbo" catalog="gserver_synth" dynamic-insert="true" dynamic-update="true">
        <id name="id" type="java.lang.Integer">
            <column name="id" />
            <generator class="native"></generator>
        </id>
        <property name="createtime" type="java.sql.Timestamp">
            <column name="createtime" length="23"/>
        </property>
        <property name="type" type="java.lang.Integer">
            <column name="type" not-null="true" />
        </property>
        <property name="state" type="java.lang.Integer">
            <column name="state" />
        </property>
        <property name="userId" type="java.lang.Integer">
            <column name="userId" not-null="true" />
        </property>
        <property name="markId" type="java.lang.Integer">
            <column name="markId" not-null="true" />
        </property>
        <property name="leftLat" type="java.lang.Double">
            <column name="leftLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="leftLon" type="java.lang.Double">
            <column name="leftLon" precision="53" scale="0" not-null="true" />
        </property>
        <property name="rightLat" type="java.lang.Double">
            <column name="rightLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="rightLon" type="java.lang.Double">
            <column name="rightLon" precision="53" scale="0" not-null="true" />
        </property>
        
        <property name="b_leftLat" type="java.lang.Double">
            <column name="b_leftLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="b_leftLon" type="java.lang.Double">
            <column name="b_leftLon" precision="53" scale="0" not-null="true" />
        </property>
        <property name="b_rightLat" type="java.lang.Double">
            <column name="b_rightLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="b_rightLon" type="java.lang.Double">
            <column name="b_rightLon" precision="53" scale="0" not-null="true" />
        </property>
        
         <property name="g_leftLat" type="java.lang.Double">
            <column name="g_leftLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="g_leftLon" type="java.lang.Double">
            <column name="g_leftLon" precision="53" scale="0" not-null="true" />
        </property>
        <property name="g_rightLat" type="java.lang.Double">
            <column name="g_rightLat" precision="53" scale="0" not-null="true" />
        </property>
        <property name="g_rightLon" type="java.lang.Double">
            <column name="g_rightLon" precision="53" scale="0" not-null="true" />
        </property>
        
        <property name="markerRadius" type="java.lang.Double">
            <column name="marker_radius" precision="53" scale="0"/>
        </property>
        <property name="markerLength" type="java.lang.Double">
            <column name="marker_length" precision="53" scale="0"/>
        </property>
        <property name="markerWidth" type="java.lang.Double">
            <column name="marker_width" precision="53" scale="0"/>
        </property>
       
    </class>
</hibernate-mapping>
